[nemovitost]
id.column = 'id'
id.type = 'int'

; makléř se přidává v PHP
id_makler.column = 'id_makler'
id_makler.type = 'int'

idCountry.column = 'idCountry'
idCountry.type = 'int'
; napevno nastavené Slovensko
idCountry.value =1

; podtyp se převádí v PHP
idCategory.column = 'idCategory'
idCategory.type = 'int'

nemovitost_titulek.column = 'title'
nemovitost_titulek.type = 'string'

nemovitost_popis_detailni.column = 'text'
nemovitost_popis_detailni.type = 'string'

; Cena
param1.column='param1'
param1.type=int
param1.value='@zakazka_typ==1 ? @nemovitost_cena_prodej : @nemovitost_cena_pronajem'

; lokalita se převádí v PHP
lokalita.column = 'param2'
lokalita.type = 'int'

; Typ*
zakazka_typ.column = 'param3'
zakazka_typ.type = 'int'
zakazka_typ.convert.1 = '24'
zakazka_typ.convert.2 = '2'

; plochy - koncept vykraden z exportu na Sreality
; param4 - užitná
; param5 - zastavěná
; param6 - pozemku

nemovitost_plocha_parcely.column = 'param6'
nemovitost_plocha_parcely.type = 'int'

nemovitost_plocha_celkova_pozemek.column = 'param6'
nemovitost_plocha_celkova_pozemek.type = 'int'
nemovitost_plocha_celkova_pozemek.value = '@nemovitost_plocha_celkova'
nemovitost_plocha_celkova_pozemek.unset = '@nemovitost_typ == 3 ? @null : @_convertedValue'

nemovitost_plocha_uzitna.column = 'param4'
nemovitost_plocha_uzitna.type = 'int'

nemovitost_plocha_uzitna_komercni_objekty_a_prostory.column = 'param4'
nemovitost_plocha_uzitna_komercni_objekty_a_prostory.type = 'int'
nemovitost_plocha_uzitna_komercni_objekty_a_prostory.value = '@nemovitost_plocha_uzitna > 0 ? @nemovitost_plocha_uzitna : @nemovitost_plocha_celkova'
nemovitost_plocha_uzitna_komercni_objekty_a_prostory.unset = 'inList<@nemovitost_typ, 2, 9> ? @null : @_convertedValue'

nemovitost_plocha_uzitna_male_objekty_a_garaze.column = 'param4'
nemovitost_plocha_uzitna_male_objekty_a_garaze.type = 'int'
nemovitost_plocha_uzitna_male_objekty_a_garaze.value = '@nemovitost_plocha_uzitna > 0 ? @nemovitost_plocha_uzitna : @nemovitost_plocha_zastavena'
nemovitost_plocha_uzitna_male_objekty_a_garaze.unset = 'inList<@nemovitost_typ, 11> ? @null : @_convertedValue'

; pokud je vyplněná užitná i celková; posíláme celkovou plochu jako zastavěnou
nemovitost_plocha_celkova_byty.column = '@nemovitost_plocha_uzitna > 0 ? param5 : param4'
nemovitost_plocha_celkova_byty.type = 'int'
nemovitost_plocha_celkova_byty.value = '@nemovitost_plocha_celkova'
nemovitost_plocha_celkova_byty.unset = 'inList<@nemovitost_typ, 4> ? @null : @_convertedValue'

nemovitost_plocha_zastavena.column = 'param5'
nemovitost_plocha_zastavena.type = 'int'


; Stav*
nemovitost_stav_objektu.column = 'param7'
nemovitost_stav_objektu.type = 'int'
nemovitost_stav_objektu.convert.1 = '15'
nemovitost_stav_objektu.convert.2 = '15'
nemovitost_stav_objektu.convert.4 = '16'
nemovitost_stav_objektu.convert.3 = '13'
nemovitost_stav_objektu.convert.5 = '17'
nemovitost_stav_objektu.convert.6 = '12'
nemovitost_stav_objektu.convert.7 = '13'
nemovitost_stav_objektu.convert.8 = '13'
nemovitost_stav_objektu.convert.9 = '14'
nemovitost_stav_objektu.convert.10 = '15'

;param8 ulica + číslo v PHP
ulice.column = 'param8'
ulice.type = 'string'

nemovitost_cena_prodej_jednotka.column = 'param12'
nemovitost_cena_prodej_jednotka.type = 'int'
nemovitost_cena_prodej_jednotka.convert.1 = '6'
nemovitost_cena_prodej_jednotka.convert.3 = '7'
nemovitost_cena_prodej_jednotka.unset = '@zakazka_typ==1 ? @null : @_convertedValue'

nemovitost_cena_pronajem_jednotka.column = 'param12'
nemovitost_cena_pronajem_jednotka.type = 'int'
nemovitost_cena_pronajem_jednotka.convert.2 = 8 ; za měsíc
nemovitost_cena_pronajem_jednotka.convert.4 = 10 ; m2/mon
nemovitost_cena_pronajem_jednotka.convert.5 = 11 ; m2/rok
nemovitost_cena_pronajem_jednotka.convert.6 = 9 ; year
; přepočítáváme "za den" na "za měsíc" (*30) v PHP
; nemovotost_cena_pronajem_jednotka.convert.7 = '7' ; day
nemovitost_cena_pronajem_jednotka.unset = '@zakazka_typ==2 ? @null : @_convertedValue'

kod.column = 'param16'
kod.type = 'string'

;param19 (Cena vrátane enrgií)

;param20 (Energie)

;param34 (Stav projektu)

; video na youtube
youtube.column = 'youtube'
youtube.type = 'string'

nabidka_gps_x.column = 'latitude'
nabidka_gps_x.type = 'float'
nabidka_gps_x.value = 'degToFloat<@this>'

nabidka_gps_y.column = 'longitude'
nabidka_gps_y.type = 'float'
nabidka_gps_y.value = 'degToFloat<@this>'

delete.column = 'delete'
delete.type = 'int'